import request from '@/utils/request'

// 查询爱奇艺广告账号列表
export function listAdIqiyiAccount(query) {
  return request({
    url: '/ad/AdIqiyiAccount/list',
    method: 'get',
    params: query
  })
}

// 查询爱奇艺广告账号详细
export function getAdIqiyiAccount(id) {
  return request({
    url: '/ad/AdIqiyiAccount/' + id,
    method: 'get'
  })
}

// 查询优酷广告账号详细
export function listAll() {
  return request({
    url: '/ad/AdIqiyiAccount/listAll',
    method: 'get'
  })
}
// 新增爱奇艺广告账号
export function addAdIqiyiAccount(data) {
  return request({
    url: '/ad/AdIqiyiAccount',
    method: 'post',
    data: data
  })
}

// 修改爱奇艺广告账号
export function updateAdIqiyiAccount(data) {
  return request({
    url: '/ad/AdIqiyiAccount',
    method: 'put',
    data: data
  })
}

// 删除爱奇艺广告账号
export function delAdIqiyiAccount(id) {
  return request({
    url: '/ad/AdIqiyiAccount/' + id,
    method: 'delete'
  })
}

// 导出爱奇艺广告账号
export function exportAdIqiyiAccount(query) {
  return request({
    url: '/ad/AdIqiyiAccount/export',
    method: 'get',
    params: query
  })
}
